Retrieve a Single Link
Returns a single link object for the specified UUID.
https://api.storyblok.com/v2/cdn/links/:uuidPath parameters
Section titled “Path parameters”:uuidstringThe UUID of the link.
Query parameters
Section titled “Query parameters”include_datesstringInclude or exclude the
created_at,updated_atandpublished_atfields. To include these date fields in the response, set to1. To exclude, set to0or omit the parameter.cvnumberCached version Unix timestamp (learn more in the Caching concept).
tokenrequired stringA preview or public access token.
Response properties
Section titled “Response properties”linkobjectA link object.
Examples
Section titled “Examples”curl "https://api.storyblok.com/v2/cdn/links/:uuid\?token=krcV6QGxWORpYLUWt12xKQtt\&version=published\&starts_with=articles"// storyblok-js-client@>=7, node@>=18import Storyblok from "storyblok-js-client";
const storyblok = new Storyblok({ accessToken: "krcV6QGxWORpYLUWt12xKQtt",});
try { const response = await storyblok.get('cdn/links/:uuid', { "version": "published", "starts_with": "articles" }) console.log({ response })} catch (error) { console.log(error)}$client = new \Storyblok\Client('YOUR_STORYBLOK_SPACE_ACCESS_TOKEN');
$client->getLinks([ "version" => "published", "starts_with" => "articles"])->getBody();HttpResponse<String> response = Unirest.get("https://api.storyblok.com/v2/cdn/links/:uuid?token=krcV6QGxWORpYLUWt12xKQtt&version=published&starts_with=articles") .asString();var client = new RestClient("https://api.storyblok.com/v2/cdn/links/:uuid?token=krcV6QGxWORpYLUWt12xKQtt&version=published&starts_with=articles");var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);import requests
url = "https://api.storyblok.com/v2/cdn/links/:uuid"
querystring = {"token":"krcV6QGxWORpYLUWt12xKQtt","version":"published","starts_with":"articles"}
payload = ""headers = {}
response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
print(response.text)require 'storyblok'client = Storyblok::Client.new(token: 'YOUR_TOKEN')
client.links({:params => { "version" => "published", "starts_with" => "articles"}})let storyblok = URLSession(storyblok: .cdn(accessToken: "krcV6QGxWORpYLUWt12xKQtt"))var request = URLRequest(storyblok: storyblok, path: "links/:uuid")request.url!.append(queryItems: [ URLQueryItem(name: "version", value: "published"), URLQueryItem(name: "starts_with", value: "articles")])let (data, _) = try await storyblok.data(for: request)print(try JSONSerialization.jsonObject(with: data))val client = HttpClient { install(Storyblok(CDN)) { accessToken = "krcV6QGxWORpYLUWt12xKQtt" }}
val response = client.get("links/:uuid") { url { parameters.append("version", "published") parameters.append("starts_with", "articles") }}
println(response.body<JsonElement>()){ "link": { "660452d2-1a68-4493-b5b6-2f03b6fa722b": { "id": 444996765, "uuid": "660452d2-1a68-4493-b5b6-2f03b6fa722b", "slug": "articles/earths-symphony-navigating-wonders-challenges-blue-oasis", "path": null, "parent_id": 444991588, "name": "Earth's Symphony: Navigating the Wonders and Challenges of Our Blue Oasis", "is_folder": false, "published": true, "is_startpage": false, "position": 0, "real_path": "/articles/earths-symphony-navigating-wonders-challenges-blue-oasis" } }}Was this page helpful?
This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window).Terms of Service (opens in a new window) apply.
Get in touch with the Storyblok community